
%global _sbindir /sbin

Summary:	Random number generator related utilities
Name:		rng-tools
Version:	2
Release:	13%{?dist}
Group:		System Environment/Base
License:	GPLv2+
URL:		http://sourceforge.net/projects/gkernel/
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Source0:	http://downloads.sourceforge.net/gkernel/rng-tools-%{version}.tar.gz
Source1:	rngd.init
Source2:	rngd.sysconfig
Patch0:		rng-tools-2-devname.patch
Patch1:		rng-tools-2-tpm.patch
Patch2:		rng-tools-2-warnings.patch
Patch3:		rng-tools-2-xread-retval.patch
Patch4:		rng-tools-2-failures-disable.patch
Patch5:		rng-tools-2-ignorefail.patch
Patch6:		rng-tools-2-ignorefail-manpage.patch

Requires:	chkconfig initscripts
BuildRequires:	automake autoconf groff gettext
Obsoletes:	rng-utils <= 1:2.0-4.1

%description
Hardware random number generation tools.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}/%{_initrddir}/rngd
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 640 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/rngd

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add rngd

%preun
if [ $1 -eq "0" ]; then
   /sbin/service rngd stop > /dev/null 2>&1
   /sbin/chkconfig --del rngd
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/sysconfig/rngd
%attr(0755,root,root) %{_initrddir}/rngd
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_mandir}/man1/rngtest.1.*
%{_mandir}/man8/rngd.8.*


%changelog

